## org.eclipse.jetty.http
Class HttpBuffers

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.http.HttpBuffers

All Implemented Interfaces:
  LifeCycle

Direct Known Subclasses:
  AbstractConnector, HttpClient

    public abstract class HttpBuffers

extends AbstractLifeCycle

Abstract Buffer pool. simple unbounded pool of buffers for header, request and response sizes.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`HttpBuffers()`

Method Summary
`protected void` `doStart()`
`int` `getHeaderBufferSize()` Deprecated. use `getRequestHeaderSize()` or `getResponseHeaderSize()`
`Buffers` `getRequestBuffers()`
`int` `getRequestBufferSize()`
`int` `getRequestHeaderSize()`
`Buffers` `getResponseBuffers()`
`int` `getResponseBufferSize()`
`int` `getResponseHeaderSize()`
`protected abstract boolean` `isRequestHeader(Buffer buffer)`
`protected abstract boolean` `isResponseHeader(Buffer buffer)`
`protected abstract Buffer` `newRequestBuffer(int size)`
`protected abstract Buffer` `newRequestHeader(int size)`
`protected abstract Buffer` `newResponseBuffer(int size)`
`protected abstract Buffer` `newResponseHeader(int size)`
`void` `setHeaderBufferSize(int headerBufferSize)` Deprecated.
`void` `setRequestBufferSize(int size)`
`void` `setRequestHeaderSize(int size)`
`void` `setResponseBufferSize(int size)`
`void` `setResponseHeaderSize(int size)`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, doStop, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpBuffers

    public HttpBuffers()

Method Detail

### doStart

    protected void doStart()
                    throws Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `Exception`

### getHeaderBufferSize

    @Deprecated
    public int getHeaderBufferSize()

  Deprecated. use `getRequestHeaderSize()` or `getResponseHeaderSize()`

  Returns:
    Returns the headerBufferSize.

### getRequestBuffers

    public Buffers getRequestBuffers()

### getRequestBufferSize

    public int getRequestBufferSize()

  Returns:
    Returns the requestBufferSize.

### getRequestHeaderSize

    public int getRequestHeaderSize()

  Returns:
    Returns the request header size.

### getResponseBuffers

    public Buffers getResponseBuffers()

### getResponseBufferSize

    public int getResponseBufferSize()

  Returns:
    Returns the responseBufferSize.

### getResponseHeaderSize

    public int getResponseHeaderSize()

  Returns:
    Returns the response header size.

### newRequestBuffer

    protected abstract Buffer newRequestBuffer(int size)

### newRequestHeader

    protected abstract Buffer newRequestHeader(int size)

### newResponseBuffer

    protected abstract Buffer newResponseBuffer(int size)

### newResponseHeader

    protected abstract Buffer newResponseHeader(int size)

### isRequestHeader

    protected abstract boolean isRequestHeader(Buffer buffer)

  Parameters:
    `buffer` -
  Returns:
    True if the buffer is the correct type for a request header buffer

### isResponseHeader

    protected abstract boolean isResponseHeader(Buffer buffer)

  Parameters:
    `buffer` -
  Returns:
    True if the buffer is the correct type for a response header buffer

### setHeaderBufferSize

    @Deprecated
    public void setHeaderBufferSize(int headerBufferSize)

  Deprecated.

  Parameters:
    `headerBufferSize` - The headerBufferSize to set.

### setRequestBufferSize

    public void setRequestBufferSize(int size)

  Parameters:
    `size` - The requestBufferSize to set.

### setRequestHeaderSize

    public void setRequestHeaderSize(int size)

  Parameters:
    `size` -

### setResponseBufferSize

    public void setResponseBufferSize(int size)

  Parameters:
    `size` - The response buffer size in bytes.

### setResponseHeaderSize

    public void setResponseHeaderSize(int size)

  Parameters:
    `size` -

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.